### Method

# Gimp Procedure set_menu_label

#### Declaration [src]

    void
    gimp_procedure_set_menu_label (
      GimpProcedure* procedure,
      const gchar* menu_label
    )

#### Description [src]

Sets the label to use for the `procedure`‘s menu entry, The location(s) where to register in the menu hierarchy is chosen using gimp_procedure_add_menu_path().

For translations of menu labels to work properly, `menu_label` should only be marked for translation but passed to this function untranslated, for example using N_(“Label”). GIMP will look up the translation in the textdomain registered for the plug-in.

Available since: | 3.0

#### Parameters

`menu_label` | `const gchar*`
| The `procedure`‘s menu label.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.